/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, Delegate_$type, fromEnum, runOn, markType, INotifyPropertyChanged_$type, PropertyChangedEventArgs, delegateCombine, enumGetBox, delegateRemove, fromEn } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { ButtonGroupOrientation_$type } from "./ButtonGroupOrientation";
import { BaseControlTheme_$type } from "igniteui-react-core";
import { ControlDisplayDensity_$type } from "igniteui-react-core";
import { ButtonGroupButtonCollection } from "./ButtonGroupButtonCollection";
import { ThemeResolver } from "./ThemeResolver";
import { ButtonGroupSelectionChangedEventArgs } from "./ButtonGroupSelectionChangedEventArgs";
import { CornerRadius } from "igniteui-react-core";
import { BrushUtil } from "igniteui-react-core";
import { isNaN_ } from "igniteui-react-core";
/**
 * @hidden
 */
export let ButtonGroupView = /*@__PURE__*/ (() => {
    class ButtonGroupView extends Base {
        constructor() {
            super();
            this.a = null;
            this.g = null;
            this.b = null;
            this.f = new List$1(Delegate_$type, 0);
            this.m = null;
            this.c = true;
            this.h = null;
            this.i = null;
            this.j = null;
            this.k = null;
        }
        s() {
        }
        d() {
            return true;
        }
        get l() {
            return this.h;
        }
        get y() {
            return null;
        }
        get e() {
            return true;
        }
        q(a) {
            if (a == null) {
                for (let b of fromEnum(this.f)) {
                    b();
                }
                this.f.clear();
            }
            this.g = a;
            a.rootWrapper.setStyleProperty("position", "relative");
            let c = this.g.createElement("div");
            c.addClass("ig-button-content");
            c.setStyleProperty("position", "relative");
            c.setStyleProperty("display", "flex");
            c.setStyleProperty("flex-direction", "row");
            c.setStyleProperty("flex-wrap", "no-wrap");
            c.setStyleProperty("align-items", "center");
            this.j = c;
            this.f.add(c.listen("click", runOn(this, this.n)));
            this.g.append(c);
            this.g.getPortal(c, "ChildContent", (d) => {
                let comp_ = d.componentRef;
                this.k = comp_;
                if (this.a.o == 0) {
                    this.j.setStyleProperty("flex-direction", "row");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'row';
                }
                else {
                    this.j.setStyleProperty("flex-direction", "column");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'column';
                }
            }, true);
            this.a.bz();
        }
        w(a) {
            if (this.m != a) {
                this.m = a;
                if (this.i != null) {
                    this.i.setAttribute("d", this.m);
                }
            }
        }
        v() {
            let comp_ = this.k;
            if (comp_ != null) {
                if (this.a.o == 0) {
                    this.j.setStyleProperty("flex-direction", "row");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'row';
                }
                else {
                    this.j.setStyleProperty("flex-direction", "column");
                    comp_.display = 'flex';
                    comp_.flexDirection = 'column';
                }
            }
        }
        n(a) {
        }
        t() {
            if (this.d()) {
            }
        }
        p() {
            this.c = true;
        }
        r() {
            this.c = false;
            for (let a of fromEnum(this.f)) {
                a();
            }
            this.f.clear();
        }
        x(a) {
            if (a != null) {
                this.g.rootWrapper.setStyleProperty("font", a.fontString);
            }
        }
        u(a) {
            if (this.a.o == 0) {
                a.f5 = "flex";
                a.g6 = "row";
                a.fp = "center";
            }
            else {
                a.f5 = "flex";
                a.g6 = "column";
                a.fp = "stretch";
            }
        }
        o(a) {
            this.j.append(a);
        }
    }
    ButtonGroupView.$t = /*@__PURE__*/ markType(ButtonGroupView, 'ButtonGroupView');
    return ButtonGroupView;
})();
/**
 * @hidden
 */
export let ButtonGroup = /*@__PURE__*/ (() => {
    class ButtonGroup extends Base {
        constructor() {
            super();
            this.e = 0;
            this.i = 1;
            this.h = 1;
            this.a = new Array(0);
            this.r = false;
            this._view = null;
            this.ai = ThemeResolver.b(ButtonGroup.f, ButtonGroup.ak, ButtonGroup.ag);
            this.dl = ThemeResolver.e(ButtonGroup.f, ButtonGroup.du, ButtonGroup.c9);
            this.dn = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dw, ButtonGroup.db);
            this.dm = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dv, ButtonGroup.da);
            this.dp = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dx, ButtonGroup.dc);
            this.ah = ThemeResolver.b(ButtonGroup.f, ButtonGroup.aj, ButtonGroup.af);
            this.dt = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d1, ButtonGroup.dg);
            this.dq = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dy, ButtonGroup.dd);
            this.d6 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d2, ButtonGroup.dh);
            this.d9 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d5, ButtonGroup.dk);
            this.dr = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dz, ButtonGroup.de);
            this.ds = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d0, ButtonGroup.df);
            this.d7 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d3, ButtonGroup.di);
            this.d8 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d4, ButtonGroup.dj);
            this.aa = ThemeResolver.b(ButtonGroup.f, ButtonGroup.ak, ButtonGroup.ag);
            this.b9 = ThemeResolver.e(ButtonGroup.f, ButtonGroup.du, ButtonGroup.c9);
            this.cb = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dw, ButtonGroup.db);
            this.cg = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d1, ButtonGroup.dg);
            this.cd = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dy, ButtonGroup.dd);
            this.ca = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dv, ButtonGroup.da);
            this.cc = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dx, ButtonGroup.dc);
            this.z = ThemeResolver.b(ButtonGroup.f, ButtonGroup.aj, ButtonGroup.af);
            this.ch = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d2, ButtonGroup.dh);
            this.ck = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d5, ButtonGroup.dk);
            this.ce = ThemeResolver.e(ButtonGroup.f, ButtonGroup.dz, ButtonGroup.de);
            this.cf = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d0, ButtonGroup.df);
            this.ci = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d3, ButtonGroup.di);
            this.cj = ThemeResolver.e(ButtonGroup.f, ButtonGroup.d4, ButtonGroup.dj);
            this.ac = NaN;
            this.cl = null;
            this.cn = null;
            this.cs = null;
            this.cp = null;
            this.cq = null;
            this.cm = null;
            this.co = null;
            this.ab = NaN;
            this.cr = null;
            this.ct = null;
            this.cw = null;
            this.cu = null;
            this.cv = null;
            this.n = 0;
            this.ao = "ig-buttongroup-" + ButtonGroup.an++;
            this.t = false;
            this.s = false;
            this.u = false;
            this.propertyChanged = null;
            this.l = new ButtonGroupButtonCollection();
            this.selectionChanged = null;
            let a = new ButtonGroupView();
            a.a = this;
            this.view = a;
            this.view.s();
            let b = this.l;
            b.collectionChanged = delegateCombine(b.collectionChanged, runOn(this, this.br));
            let c = this.l;
            c.collectionResetting = delegateCombine(c.collectionResetting, runOn(this, this.bs));
        }
        get g() {
            return this.e;
        }
        set g(a) {
            let b = this.e;
            this.e = a;
            if (b != this.e) {
                this.by("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        bs(a, b) {
            for (let c of fromEnum(this.buttons)) {
                c.clicked = delegateRemove(c.clicked, runOn(this, this.bu));
            }
            this.b3();
        }
        appendContentChild(a) {
            this.view.o(a);
        }
        br(a, b) {
            if (b.oldItems != null) {
                for (let c of fromEn(b.oldItems)) {
                    let d = c;
                    if (d != null) {
                        d.clicked = delegateRemove(d.clicked, runOn(this, this.bu));
                    }
                }
            }
            if (b.newItems != null) {
                for (let e of fromEn(b.newItems)) {
                    let f = e;
                    if (f != null) {
                        f.clicked = delegateCombine(f.clicked, runOn(this, this.bu));
                    }
                }
            }
            this.b3();
        }
        bu(a, b) {
            let c = a;
            let d = this.buttons.indexOf(c);
            this.b2(c, d);
        }
        get k() {
            return this.i;
        }
        set k(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.by("Density", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get j() {
            return this.h;
        }
        set j(a) {
            let b = this.h;
            this.h = a;
            if (b != this.h) {
                this.by("ActualDensity", enumGetBox(ControlDisplayDensity_$type, b), enumGetBox(ControlDisplayDensity_$type, a));
            }
        }
        get d() {
            return this.a;
        }
        set d(a) {
            let b = this.a;
            this.a = a;
            if (b != this.a) {
                this.by("SelectedIndices", b, a);
            }
        }
        b2(a, b) {
            this.r = true;
            if (this.x(a)) {
                this.d = this.b(this.d, a, b);
            }
            else {
                if (!this.w) {
                    this.d = new Array(0);
                }
                this.d = this.c(this.d, a, b);
            }
            this.b3();
            if (this.selectionChanged != null) {
                this.selectionChanged(this, new ButtonGroupSelectionChangedEventArgs());
            }
            this.r = false;
        }
        c(a, b, c) {
            let d = new Array(Math.max(0, this.a.length + 1));
            let e = 0;
            for (let f = 0; f < this.a.length; f++) {
                if (this.a[f] != c) {
                    d[e] = this.a[f];
                    e++;
                }
            }
            d[e] = c;
            return d;
        }
        b(a, b, c) {
            let d = new Array(Math.max(0, this.a.length - 1));
            let e = 0;
            for (let f = 0; f < this.a.length; f++) {
                if (this.a[f] != c) {
                    d[e] = this.a[f];
                    e++;
                }
            }
            return d;
        }
        get view() {
            return this._view;
        }
        set view(a) {
            this._view = a;
        }
        destroy() {
            this.provideContainer(null);
        }
        by(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.b0(a, b, c);
        }
        b0(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.b5(this.g);
                    this.b4();
                    break;
                case "ItemBorderColor":
                case "ItemDisabledBorderColor":
                case "ItemBackgroundColor":
                case "ItemDisabledBackgroundColor":
                case "SelectedItemBackgroundColor":
                case "ItemTextColor":
                case "ItemDisabledTextColor":
                case "SelectedItemTextColor":
                case "ItemHoverBackgroundColor":
                case "SelectedItemHoverBackgroundColor":
                case "ItemHoverTextColor":
                case "SelectedItemHoverTextColor":
                    this.b4();
                    break;
                case "ActualItemBorderColor":
                case "ActualItemDisabledBorderColor":
                case "ActualItemDisabledBackgroundColor":
                case "ActualItemBackgroundColor":
                case "ActualItemTextColor":
                case "ActualItemDisabledTextColor":
                case "ActualSelectedItemTextColor":
                case "ActualSelectedItemBackgroundColor":
                    this.b3();
                    break;
                case "Orientation":
                    this.view.v();
                    this.b3();
                    break;
                case "Density":
                    this.j = this.k == 0 ? 1 : this.k;
                    break;
                case "ActualDensity":
                    for (let d = 0; d < this.buttons.count; d++) {
                        this.buttons._inner[d].h = this.j;
                    }
                    break;
                case "IsDisabled":
                    for (let e = 0; e < this.buttons.count; e++) {
                        this.buttons._inner[e].disabled = this.disabled;
                    }
                    break;
                case "SelectedIndices":
                    if (!this.r) {
                        this.b3();
                    }
                    break;
            }
        }
        b4() {
            this.cx = this.ea != null ? this.ea : this.dl;
            this.cz = this.ec != null ? this.ec : this.dn;
            this.c4 = this.eh != null ? this.eh : this.dt;
            this.c1 = this.ee != null ? this.ee : this.dq;
            this.cy = this.eb != null ? this.eb : this.dm;
            this.c0 = this.ed != null ? this.ed : this.dp;
            this.ad = !isNaN_(this.al) ? this.al : this.ah;
            this.c5 = this.ei != null ? this.ei : this.d6;
            this.c8 = this.el != null ? this.el : this.d9;
            this.c2 = this.ef != null ? this.ef : this.dr;
            this.c3 = this.eg != null ? this.eg : this.ds;
            this.c6 = this.ej != null ? this.ej : this.d7;
            this.c7 = this.ek != null ? this.ek : this.d8;
        }
        b3() {
            for (let a = 0; a < this.buttons.count; a++) {
                let b = this.buttons._inner[a];
                if (a == 0) {
                    this.b6(b);
                }
                else if (a == this.buttons.count - 1) {
                    this.b7(b);
                }
                else {
                    this.b8(b);
                }
                b.r = 1;
                b.aj = false;
                if (this.s) {
                    b.disabled = this.disabled;
                }
                b.nc = this.cy;
                b.au = this.ad;
                b.r8 = this.c0;
                b.r7 = this.cz;
                b.r9 = this.c1;
                this.view.u(b);
                if (this.x(b)) {
                    b.nb = this.c5;
                    b.ty = this.c8;
                    b.sy = this.c6;
                    b.sz = this.c7;
                }
                else {
                    b.nb = this.cx;
                    b.ty = this.c4;
                    b.sy = this.c2;
                    b.sz = this.c3;
                }
            }
        }
        x(a) {
            let b = this.buttons.indexOf(a);
            for (let c = 0; c < this.d.length; c++) {
                if (this.d[c] == b) {
                    return true;
                }
            }
            return false;
        }
        b8(a) {
            a.j4 = new CornerRadius(1, 0, 0, 0, 0);
        }
        b7(a) {
            if (this.o == 1) {
                a.j4 = new CornerRadius(1, 0, 0, this.ae, this.ae);
            }
            else {
                a.j4 = new CornerRadius(1, 0, this.ae, this.ae, 0);
            }
        }
        b6(a) {
            if (this.o == 1) {
                a.j4 = new CornerRadius(1, this.ae, this.ae, 0, 0);
            }
            else {
                a.j4 = new CornerRadius(1, this.ae, 0, 0, this.ae);
            }
        }
        b5(a) {
            this.ai = ThemeResolver.b(a, ButtonGroup.ak, ButtonGroup.ag);
            this.dl = ThemeResolver.e(a, ButtonGroup.du, ButtonGroup.c9);
            this.dn = ThemeResolver.e(a, ButtonGroup.dw, ButtonGroup.db);
            this.dm = ThemeResolver.e(a, ButtonGroup.dv, ButtonGroup.da);
            this.dp = ThemeResolver.e(a, ButtonGroup.dx, ButtonGroup.dc);
            this.ah = ThemeResolver.b(a, ButtonGroup.aj, ButtonGroup.af);
            this.dt = ThemeResolver.e(a, ButtonGroup.d1, ButtonGroup.dg);
            this.dq = ThemeResolver.e(a, ButtonGroup.dy, ButtonGroup.dd);
            this.d6 = ThemeResolver.e(a, ButtonGroup.d2, ButtonGroup.dh);
            this.d9 = ThemeResolver.e(a, ButtonGroup.d5, ButtonGroup.dk);
            this.dr = ThemeResolver.e(a, ButtonGroup.dz, ButtonGroup.de);
            this.ds = ThemeResolver.e(a, ButtonGroup.d0, ButtonGroup.df);
            this.d7 = ThemeResolver.e(a, ButtonGroup.d3, ButtonGroup.di);
            this.d8 = ThemeResolver.e(a, ButtonGroup.d4, ButtonGroup.dj);
        }
        get ae() {
            return this.aa;
        }
        set ae(a) {
            let b = this.aa;
            this.aa = a;
            if (b != this.aa) {
                this.by("ActualItemCornerRadius", b, a);
            }
        }
        get cx() {
            return this.b9;
        }
        set cx(a) {
            let b = this.b9;
            this.b9 = a;
            if (b != this.b9) {
                this.by("ActualItemBackgroundColor", b, a);
            }
        }
        get cz() {
            return this.cb;
        }
        set cz(a) {
            let b = this.cb;
            this.cb = a;
            if (b != this.cb) {
                this.by("ActualItemDisabledBackgroundColor", b, a);
            }
        }
        get c4() {
            return this.cg;
        }
        set c4(a) {
            let b = this.cg;
            this.cg = a;
            if (b != this.cg) {
                this.by("ActualItemTextColor", b, a);
            }
        }
        get c1() {
            return this.cd;
        }
        set c1(a) {
            let b = this.cd;
            this.cd = a;
            if (b != this.cd) {
                this.by("ActualItemDisabledTextColor", b, a);
            }
        }
        get cy() {
            return this.ca;
        }
        set cy(a) {
            let b = this.ca;
            this.ca = a;
            if (b != this.ca) {
                this.by("ActualItemBorderColor", b, a);
            }
        }
        get c0() {
            return this.cc;
        }
        set c0(a) {
            let b = this.cc;
            this.cc = a;
            if (b != this.cc) {
                this.by("ActualItemDisabledBorderColor", b, a);
            }
        }
        get ad() {
            return this.z;
        }
        set ad(a) {
            let b = this.z;
            this.z = a;
            if (b != this.z) {
                this.by("ActualItemBorderWidth", b, a);
            }
        }
        get c5() {
            return this.ch;
        }
        set c5(a) {
            let b = this.ch;
            this.ch = a;
            if (b != this.ch) {
                this.by("ActualSelectedItemBackgroundColor", b, a);
            }
        }
        get c8() {
            return this.ck;
        }
        set c8(a) {
            let b = this.ck;
            this.ck = a;
            if (b != this.ck) {
                this.by("ActualSelectedItemTextColor", b, a);
            }
        }
        get c2() {
            return this.ce;
        }
        set c2(a) {
            let b = this.ce;
            this.ce = a;
            if (b != this.ce) {
                this.by("ActualItemHoverBackgroundColor", b, a);
            }
        }
        get c3() {
            return this.cf;
        }
        set c3(a) {
            let b = this.cf;
            this.cf = a;
            if (b != this.cf) {
                this.by("ActualItemHoverTextColor", b, a);
            }
        }
        get c6() {
            return this.ci;
        }
        set c6(a) {
            let b = this.ci;
            this.ci = a;
            if (b != this.ci) {
                this.by("ActualSelectedItemHoverBackgroundColor", b, a);
            }
        }
        get c7() {
            return this.cj;
        }
        set c7(a) {
            let b = this.cj;
            this.cj = a;
            if (b != this.cj) {
                this.by("ActualSelectedItemHoverTextColor", b, a);
            }
        }
        get am() {
            return this.ac;
        }
        set am(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.by("ItemCornerRadius", b, a);
            }
        }
        get ea() {
            return this.cl;
        }
        set ea(a) {
            let b = this.cl;
            this.cl = a;
            if (b != this.cl) {
                this.by("ItemBackgroundColor", b, a);
            }
        }
        get ec() {
            return this.cn;
        }
        set ec(a) {
            let b = this.cn;
            this.cn = a;
            if (b != this.cn) {
                this.by("ItemDisabledBackgroundColor", b, a);
            }
        }
        get eh() {
            return this.cs;
        }
        set eh(a) {
            let b = this.cs;
            this.cs = a;
            if (b != this.cs) {
                this.by("ItemTextColor", b, a);
            }
        }
        get ee() {
            return this.cp;
        }
        set ee(a) {
            let b = this.cp;
            this.cp = a;
            if (b != this.cp) {
                this.by("ItemDisabledTextColor", b, a);
            }
        }
        get ef() {
            return this.cq;
        }
        set ef(a) {
            let b = this.cq;
            this.cq = a;
            if (b != this.cq) {
                this.by("ItemHoverBackgroundColor", b, a);
            }
        }
        get eb() {
            return this.cm;
        }
        set eb(a) {
            let b = this.cm;
            this.cm = a;
            if (b != this.cm) {
                this.by("ItemBorderColor", b, a);
            }
        }
        get ed() {
            return this.co;
        }
        set ed(a) {
            let b = this.co;
            this.co = a;
            if (b != this.co) {
                this.by("ItemDisabledBorderColor", b, a);
            }
        }
        get al() {
            return this.ab;
        }
        set al(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.by("ItemBorderWidth", b, a);
            }
        }
        get eg() {
            return this.cr;
        }
        set eg(a) {
            let b = this.cr;
            this.cr = a;
            if (b != this.cr) {
                this.by("ItemHoverTextColor", b, a);
            }
        }
        get ei() {
            return this.ct;
        }
        set ei(a) {
            let b = this.ct;
            this.ct = a;
            if (b != this.ct) {
                this.by("SelectedItemBackgroundColor", b, a);
            }
        }
        get el() {
            return this.cw;
        }
        set el(a) {
            let b = this.cw;
            this.cw = a;
            if (b != this.cw) {
                this.by("SelectedItemTextColor", b, a);
            }
        }
        get ej() {
            return this.cu;
        }
        set ej(a) {
            let b = this.cu;
            this.cu = a;
            if (b != this.cu) {
                this.by("SelectedItemHoverBackgroundColor", b, a);
            }
        }
        get ek() {
            return this.cv;
        }
        set ek(a) {
            let b = this.cv;
            this.cv = a;
            if (b != this.cv) {
                this.by("SelectedItemHoverTextColor", b, a);
            }
        }
        get o() {
            return this.n;
        }
        set o(a) {
            let b = this.n;
            this.n = a;
            if (b != this.n) {
                this.by("Orientation", enumGetBox(ButtonGroupOrientation_$type, b), enumGetBox(ButtonGroupOrientation_$type, a));
            }
        }
        get a7() {
            return this.ao;
        }
        set a7(a) {
            let b = this.ao;
            this.ao = a;
            if (b != this.ao) {
                this.by("Id", b, a);
            }
        }
        get disabled() {
            return this.t;
        }
        set disabled(a) {
            let b = this.t;
            this.t = a;
            this.s = true;
            if (b != this.t) {
                this.by("IsDisabled", b, a);
            }
        }
        get w() {
            return this.u;
        }
        set w(a) {
            let b = this.u;
            this.u = a;
            if (b != this.u) {
                this.by("IsMultiSelect", b, a);
            }
        }
        bz() {
        }
        onDetachedFromUI() {
            this.view.r();
        }
        onAttachedToUI() {
            this.view.p();
        }
        y() {
            return this.view.d();
        }
        provideContainer(a) {
            this.view.q(a);
        }
        get buttons() {
            return this.l;
        }
    }
    ButtonGroup.$t = /*@__PURE__*/ markType(ButtonGroup, 'ButtonGroup', Base.$, [INotifyPropertyChanged_$type]);
    ButtonGroup.f = 2;
    ButtonGroup.ak = 4;
    ButtonGroup.du = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.dw = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.dv = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.dx = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.aj = 1;
    ButtonGroup.d1 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.dy = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.d2 = /*@__PURE__*/ BrushUtil.g(60, 0, 0, 0);
    ButtonGroup.d5 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.dz = /*@__PURE__*/ BrushUtil.g(30, 0, 0, 0);
    ButtonGroup.d0 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.d3 = /*@__PURE__*/ BrushUtil.g(96, 0, 0, 0);
    ButtonGroup.d4 = /*@__PURE__*/ BrushUtil.g(255, 0, 0, 0);
    ButtonGroup.ag = 3;
    ButtonGroup.c9 = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.db = /*@__PURE__*/ BrushUtil.g(10, 0, 0, 0);
    ButtonGroup.da = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.dc = /*@__PURE__*/ BrushUtil.g(255, 199, 199, 199);
    ButtonGroup.af = 1;
    ButtonGroup.dg = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.dd = /*@__PURE__*/ BrushUtil.g(66, 0, 0, 0);
    ButtonGroup.dh = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.dk = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.de = /*@__PURE__*/ BrushUtil.g(26, 33, 150, 243);
    ButtonGroup.df = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.di = /*@__PURE__*/ BrushUtil.g(255, 33, 150, 243);
    ButtonGroup.dj = /*@__PURE__*/ BrushUtil.g(255, 255, 255, 255);
    ButtonGroup.an = 0;
    return ButtonGroup;
})();
//# sourceMappingURL=ButtonGroupView_combined.js.map
