import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomRenderer } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { Button } from "./Button";
import { ButtonGroupOrientation } from "./ButtonGroupOrientation";
import { BaseControlTheme } from "igniteui-react-core";
import { ControlDisplayDensity } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { ButtonGroupButtonCollection } from "./ButtonGroupButtonCollection";
import { ButtonGroupSelectionChangedEventArgs } from "./ButtonGroupSelectionChangedEventArgs";
/**
 * @hidden
 */
export declare class ButtonGroupView extends Base {
    static $t: Type;
    constructor();
    a: ButtonGroup;
    s(): void;
    d(): boolean;
    private g;
    private b;
    private f;
    readonly l: any;
    readonly y: Path;
    readonly e: boolean;
    q(a: DomRenderer): void;
    private m;
    w(a: string): void;
    v(): void;
    private n;
    t(): void;
    private c;
    private h;
    private i;
    private j;
    private k;
    p(): void;
    r(): void;
    x(a: FontInfo): void;
    u(a: Button): void;
    o(a: any): void;
}
/**
 * @hidden
 */
export declare class ButtonGroup extends Base implements INotifyPropertyChanged {
    static $t: Type;
    constructor();
    private e;
    g: BaseControlTheme;
    private bs;
    appendContentChild(a: any): void;
    private br;
    private bu;
    private i;
    k: ControlDisplayDensity;
    private h;
    j: ControlDisplayDensity;
    private a;
    d: number[];
    private r;
    private b2;
    private c;
    private b;
    private _view;
    view: ButtonGroupView;
    destroy(): void;
    protected by(a: string, b: any, c: any): void;
    protected b0(a: string, b: any, c: any): void;
    private b4;
    private b3;
    private x;
    private b8;
    private b7;
    private b6;
    private static f;
    private ai;
    private dl;
    private dn;
    private dm;
    private dp;
    private ah;
    private dt;
    private dq;
    private d6;
    private d9;
    private dr;
    private ds;
    private d7;
    private d8;
    private static ak;
    private static du;
    private static dw;
    private static dv;
    private static dx;
    private static aj;
    private static d1;
    private static dy;
    private static d2;
    private static d5;
    private static dz;
    private static d0;
    private static d3;
    private static d4;
    private static ag;
    private static c9;
    private static db;
    private static da;
    private static dc;
    private static af;
    private static dg;
    private static dd;
    private static dh;
    private static dk;
    private static de;
    private static df;
    private static di;
    private static dj;
    private b5;
    private aa;
    ae: number;
    private b9;
    cx: Brush;
    private cb;
    cz: Brush;
    private cg;
    c4: Brush;
    private cd;
    c1: Brush;
    private ca;
    cy: Brush;
    private cc;
    c0: Brush;
    private z;
    ad: number;
    private ch;
    c5: Brush;
    private ck;
    c8: Brush;
    private ce;
    c2: Brush;
    private cf;
    c3: Brush;
    private ci;
    c6: Brush;
    private cj;
    c7: Brush;
    private ac;
    am: number;
    private cl;
    ea: Brush;
    private cn;
    ec: Brush;
    private cs;
    eh: Brush;
    private cp;
    ee: Brush;
    private cq;
    ef: Brush;
    private cm;
    eb: Brush;
    private co;
    ed: Brush;
    private ab;
    al: number;
    private cr;
    eg: Brush;
    private ct;
    ei: Brush;
    private cw;
    el: Brush;
    private cu;
    ej: Brush;
    private cv;
    ek: Brush;
    private n;
    o: ButtonGroupOrientation;
    private static an;
    private ao;
    a7: string;
    private t;
    private s;
    disabled: boolean;
    private u;
    w: boolean;
    bz(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    protected y(): boolean;
    provideContainer(a: DomRenderer): void;
    private l;
    readonly buttons: ButtonGroupButtonCollection;
    selectionChanged: (sender: any, args: ButtonGroupSelectionChangedEventArgs) => void;
}
